### Enumeration

# Meta StackLayer

#### Declaration

    enum Meta.StackLayer

#### Description [src]

Layers a window can be in. These MUST be in the order of stacking.

#### Members

`META_LAYER_DESKTOP`

  Desktop layer.

  - Value: `0`
  - Available since: 14
`META_LAYER_BOTTOM`

  Bottom layer.

  - Value: `1`
  - Available since: 14
`META_LAYER_NORMAL`

  Normal layer.

  - Value: `2`
  - Available since: 14
`META_LAYER_TOP`

  Top layer.

  - Value: `4`
  - Available since: 14
`META_LAYER_DOCK`

  Dock layer.

  - Value: `4`
  - Available since: 14
`META_LAYER_OVERRIDE_REDIRECT`

  Override-redirect layer.

  - Value: `7`
  - Available since: 14
`META_LAYER_LAST`

  Marks the end of the `MetaStackLayer` enumeration.

  - Value: `8`
  - Available since: 14